/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.jbpm;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSourceConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelJbpmSourceConnectorConfig
        extends
            CamelSourceConnectorConfig {

    public static final String CAMEL_SOURCE_JBPM_PATH_CONNECTION_URLCONF = "camel.source.path.connectionURL";
    public static final String CAMEL_SOURCE_JBPM_PATH_CONNECTION_URLDOC = "The URL to the jBPM server.";
    public static final String CAMEL_SOURCE_JBPM_PATH_CONNECTION_URLDEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_PATH_EVENT_LISTENER_TYPE_CONF = "camel.source.path.eventListenerType";
    public static final String CAMEL_SOURCE_JBPM_PATH_EVENT_LISTENER_TYPE_DOC = "Sets the event listener type to attach to";
    public static final String CAMEL_SOURCE_JBPM_PATH_EVENT_LISTENER_TYPE_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_ATTACHMENT_ID_CONF = "camel.source.endpoint.attachmentId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_ATTACHMENT_ID_DOC = "attachId to use when retrieving attachments";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_ATTACHMENT_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_CONTENT_ID_CONF = "camel.source.endpoint.contentId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_CONTENT_ID_DOC = "contentId to use when retrieving attachments";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_CONTENT_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_DEPLOYMENT_ID_CONF = "camel.source.endpoint.deploymentId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_DEPLOYMENT_ID_DOC = "The id of the deployment";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_DEPLOYMENT_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EMITTER_SEND_ITEMS_CONF = "camel.source.endpoint.emitterSendItems";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EMITTER_SEND_ITEMS_DOC = "Sets if event produced by emitter should be sent as single items or complete collection";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EMITTER_SEND_ITEMS_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_CONF = "camel.source.endpoint.event";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_DOC = "the data associated with this event when signalEvent operation is performed";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_TYPE_CONF = "camel.source.endpoint.eventType";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_TYPE_DOC = "the type of event to use when signalEvent operation is performed";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_TYPE_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_IDENTIFIER_CONF = "camel.source.endpoint.identifier";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_IDENTIFIER_DOC = "identifier the global identifier";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_IDENTIFIER_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_MAX_NUMBER_CONF = "camel.source.endpoint.maxNumber";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_MAX_NUMBER_DOC = "the maximum number of rules that should be fired";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_MAX_NUMBER_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_CONF = "camel.source.endpoint.page";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_DOC = "The page to use when retrieving user tasks";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_SIZE_CONF = "camel.source.endpoint.pageSize";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_SIZE_DOC = "The page size to use when retrieving user tasks";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_SIZE_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_ID_CONF = "camel.source.endpoint.processId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_ID_DOC = "the id of the process that should be acted upon";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_INSTANCE_ID_CONF = "camel.source.endpoint.processInstanceId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_INSTANCE_ID_DOC = "the id of the process instance";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_INSTANCE_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TARGET_USER_ID_CONF = "camel.source.endpoint.targetUserId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TARGET_USER_ID_DOC = "The targetUserId used when delegating a task";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TARGET_USER_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TASK_CONF = "camel.source.endpoint.task";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TASK_DOC = "The task instance to use with task operations";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TASK_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TASK_ID_CONF = "camel.source.endpoint.taskId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TASK_ID_DOC = "the id of the task";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TASK_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TIMEOUT_CONF = "camel.source.endpoint.timeout";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TIMEOUT_DOC = "A timeout value";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_TIMEOUT_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_USER_ID_CONF = "camel.source.endpoint.userId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_USER_ID_DOC = "userId to use with task operations";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_USER_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_VALUE_CONF = "camel.source.endpoint.value";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_VALUE_DOC = "the value to assign to the global identifier";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_VALUE_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_WORK_ITEM_ID_CONF = "camel.source.endpoint.workItemId";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_WORK_ITEM_ID_DOC = "the id of the work item";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_WORK_ITEM_ID_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_BRIDGE_ERROR_HANDLER_CONF = "camel.source.endpoint.bridgeErrorHandler";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_BRIDGE_ERROR_HANDLER_DOC = "Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions, that will be logged at WARN or ERROR level and ignored.";
    public static final Boolean CAMEL_SOURCE_JBPM_ENDPOINT_BRIDGE_ERROR_HANDLER_DEFAULT = false;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXCEPTION_HANDLER_CONF = "camel.source.endpoint.exceptionHandler";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXCEPTION_HANDLER_DOC = "To let the consumer use a custom ExceptionHandler. Notice if the option bridgeErrorHandler is enabled then this option is not in use. By default the consumer will deal with exceptions, that will be logged at WARN or ERROR level and ignored.";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXCEPTION_HANDLER_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXCHANGE_PATTERN_CONF = "camel.source.endpoint.exchangePattern";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXCHANGE_PATTERN_DOC = "Sets the exchange pattern when the consumer creates an exchange. One of: [InOnly] [InOut] [InOptionalOut]";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXCHANGE_PATTERN_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_BASIC_PROPERTY_BINDING_CONF = "camel.source.endpoint.basicPropertyBinding";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_BASIC_PROPERTY_BINDING_DOC = "Whether the endpoint should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities";
    public static final Boolean CAMEL_SOURCE_JBPM_ENDPOINT_BASIC_PROPERTY_BINDING_DEFAULT = false;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_ENTITIES_CONF = "camel.source.endpoint.entities";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_ENTITIES_DOC = "The potentialOwners when nominateTask operation is performed";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_ENTITIES_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXTRA_JAXB_CLASSES_CONF = "camel.source.endpoint.extraJaxbClasses";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXTRA_JAXB_CLASSES_DOC = "To load additional classes when working with XML";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_EXTRA_JAXB_CLASSES_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PARAMETERS_CONF = "camel.source.endpoint.parameters";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PARAMETERS_DOC = "the variables that should be set for various operations";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PARAMETERS_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_SYNCHRONOUS_CONF = "camel.source.endpoint.synchronous";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_SYNCHRONOUS_DOC = "Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported).";
    public static final Boolean CAMEL_SOURCE_JBPM_ENDPOINT_SYNCHRONOUS_DEFAULT = false;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_STATUSES_CONF = "camel.source.endpoint.statuses";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_STATUSES_DOC = "The list of status to use when filtering tasks";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_STATUSES_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PASSWORD_CONF = "camel.source.endpoint.password";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PASSWORD_DOC = "Password for authentication";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_PASSWORD_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_USER_NAME_CONF = "camel.source.endpoint.userName";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_USER_NAME_DOC = "Username for authentication";
    public static final String CAMEL_SOURCE_JBPM_ENDPOINT_USER_NAME_DEFAULT = null;
    public static final String CAMEL_SOURCE_JBPM_COMPONENT_BRIDGE_ERROR_HANDLER_CONF = "camel.component.jbpm.bridgeErrorHandler";
    public static final String CAMEL_SOURCE_JBPM_COMPONENT_BRIDGE_ERROR_HANDLER_DOC = "Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions, that will be logged at WARN or ERROR level and ignored.";
    public static final Boolean CAMEL_SOURCE_JBPM_COMPONENT_BRIDGE_ERROR_HANDLER_DEFAULT = false;
    public static final String CAMEL_SOURCE_JBPM_COMPONENT_BASIC_PROPERTY_BINDING_CONF = "camel.component.jbpm.basicPropertyBinding";
    public static final String CAMEL_SOURCE_JBPM_COMPONENT_BASIC_PROPERTY_BINDING_DOC = "Whether the component should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities";
    public static final Boolean CAMEL_SOURCE_JBPM_COMPONENT_BASIC_PROPERTY_BINDING_DEFAULT = false;

    public CamelJbpmSourceConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelJbpmSourceConnectorConfig(Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSourceConnectorConfig.conf());
        conf.define(CAMEL_SOURCE_JBPM_PATH_CONNECTION_URLCONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_PATH_CONNECTION_URLDEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_JBPM_PATH_CONNECTION_URLDOC);
        conf.define(CAMEL_SOURCE_JBPM_PATH_EVENT_LISTENER_TYPE_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_PATH_EVENT_LISTENER_TYPE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_PATH_EVENT_LISTENER_TYPE_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_ATTACHMENT_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_ATTACHMENT_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_ATTACHMENT_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_CONTENT_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_CONTENT_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_CONTENT_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_DEPLOYMENT_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_DEPLOYMENT_ID_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_JBPM_ENDPOINT_DEPLOYMENT_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_EMITTER_SEND_ITEMS_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_EMITTER_SEND_ITEMS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_EMITTER_SEND_ITEMS_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_TYPE_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_TYPE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_EVENT_TYPE_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_IDENTIFIER_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_IDENTIFIER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_IDENTIFIER_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_MAX_NUMBER_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_MAX_NUMBER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_MAX_NUMBER_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_SIZE_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_SIZE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_PAGE_SIZE_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_INSTANCE_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_INSTANCE_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_PROCESS_INSTANCE_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_TARGET_USER_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_TARGET_USER_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_TARGET_USER_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_TASK_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_TASK_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_TASK_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_TASK_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_TASK_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_TASK_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_TIMEOUT_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_TIMEOUT_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_TIMEOUT_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_USER_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_USER_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_USER_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_VALUE_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_VALUE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_VALUE_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_WORK_ITEM_ID_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_WORK_ITEM_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_WORK_ITEM_ID_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_BRIDGE_ERROR_HANDLER_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_JBPM_ENDPOINT_BRIDGE_ERROR_HANDLER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_BRIDGE_ERROR_HANDLER_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_EXCEPTION_HANDLER_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_EXCEPTION_HANDLER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_EXCEPTION_HANDLER_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_EXCHANGE_PATTERN_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_EXCHANGE_PATTERN_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_EXCHANGE_PATTERN_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_BASIC_PROPERTY_BINDING_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_JBPM_ENDPOINT_BASIC_PROPERTY_BINDING_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_BASIC_PROPERTY_BINDING_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_ENTITIES_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_ENTITIES_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_ENTITIES_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_EXTRA_JAXB_CLASSES_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_EXTRA_JAXB_CLASSES_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_EXTRA_JAXB_CLASSES_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_PARAMETERS_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_PARAMETERS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_PARAMETERS_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_SYNCHRONOUS_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_JBPM_ENDPOINT_SYNCHRONOUS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_SYNCHRONOUS_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_STATUSES_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_STATUSES_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_STATUSES_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_PASSWORD_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_PASSWORD_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_PASSWORD_DOC);
        conf.define(CAMEL_SOURCE_JBPM_ENDPOINT_USER_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JBPM_ENDPOINT_USER_NAME_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_ENDPOINT_USER_NAME_DOC);
        conf.define(CAMEL_SOURCE_JBPM_COMPONENT_BRIDGE_ERROR_HANDLER_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_JBPM_COMPONENT_BRIDGE_ERROR_HANDLER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_COMPONENT_BRIDGE_ERROR_HANDLER_DOC);
        conf.define(CAMEL_SOURCE_JBPM_COMPONENT_BASIC_PROPERTY_BINDING_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SOURCE_JBPM_COMPONENT_BASIC_PROPERTY_BINDING_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JBPM_COMPONENT_BASIC_PROPERTY_BINDING_DOC);
        return conf;
    }
}